package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNIdCards {
    OP("OP"), 
    PAS("Pas"),
    RIDICKY_PRUKAZ("ŘP"),
    ID_CARD("ID card"),
    POVOLENI_K_POBYTU("Povolení k pobytu"),
    PRUKAZ_PRISLUSNIKA_CIZICH_OZBROJENYCH_SIL("Průkaz příslušníka cizích ozbrojených sil");
    
    private final String value;
    private static final Random random = new Random();
    
    KSNIdCards(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }

    public static String getRandomIdCardValue() {
        int i = random.nextInt(KSNIdCards.values().length);
        return KSNIdCards.values()[i].getValue();
    }
}
